
/*******************************  LICENSE  *******************************

 * (C) Copyright 1996-2016 ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.

 *******************************  LICENSE  *******************************/

/*! \fileContourAttributes.h
    \brief Definition of Contour Attributes class.

    This file is automatically generated.
    Do Not Edit!

    Generated: 
*/


#ifndef ContourWrapper_H
#define ContourWrapper_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"



#include "Contour.h"








#include "IsoPlotWrapper.h"
#include "ContourMethodWrapper.h"
#include "HiLoBaseWrapper.h"
#include "ValuePlotBaseWrapper.h"


namespace magics {

class MagRequest;



class ContourWrapper

{
public:
//  --  constructor
    ContourWrapper();
    ContourWrapper(Contour*);
//  --  destructor
    virtual ~ContourWrapper();
    virtual void set(const MagRequest&);

    Contour* me()   { return contour_; }

   	virtual Contour* object() { return contour_; }


	virtual void object(Contour* o) {
		// Remember to delete the previous object
		contour_ = o;
		

	}



protected:
    Contour* contour_;


//  --  method
	virtual void print(ostream&) const;


private:
    string tag_;
	friend ostream& operator<<(ostream& s,const ContourWrapper& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif