
/*******************************  LICENSE  *******************************

 * (C) Copyright 1996-2016 ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.

 *******************************  LICENSE  *******************************/

/*! \fileNoBinningObjectAttributes.h
    \brief Definition of NoBinningObject Attributes class.

    This file is automatically generated.
    Do Not Edit!

    Generated: 
*/


#ifndef NoBinningObjectWrapper_H
#define NoBinningObjectWrapper_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"



#include "BinningObject.h"



#include "BinningObjectWrapper.h"








namespace magics {

class MagRequest;


class NoBinningObjectWrapper: public BinningObjectWrapper

{
public:
//  --  constructor
    NoBinningObjectWrapper();
    NoBinningObjectWrapper(NoBinningObject*);
//  --  destructor
    virtual ~NoBinningObjectWrapper();
    virtual void set(const MagRequest&);

    NoBinningObject* me()   { return nobinningobject_; }

   	virtual NoBinningObject* object() { return nobinningobject_; }


	virtual void object(NoBinningObject* o) {
		// Remember to delete the previous object
		nobinningobject_ = o;
		BinningObjectWrapper::object(o);
		

	}



protected:
    NoBinningObject* nobinningobject_;


//  --  method
	virtual void print(ostream&) const;


private:
    string tag_;
	friend ostream& operator<<(ostream& s,const NoBinningObjectWrapper& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif