
/*******************************  LICENSE  *******************************

 * (C) Copyright 1996-2016 ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.

 *******************************  LICENSE  *******************************/

/*! \fileProj4MollweideAttributes.h
    \brief Definition of Proj4Mollweide Attributes class.

    This file is automatically generated.
    Do Not Edit!

    Generated: 
*/


#ifndef Proj4MollweideWrapper_H
#define Proj4MollweideWrapper_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"



#include "Proj4Projection.h"



#include "Proj4ProjectionWrapper.h"








namespace magics {

class MagRequest;


class Proj4MollweideWrapper: public Proj4ProjectionWrapper

{
public:
//  --  constructor
    Proj4MollweideWrapper();
    Proj4MollweideWrapper(Proj4Mollweide*);
//  --  destructor
    virtual ~Proj4MollweideWrapper();
    virtual void set(const MagRequest&);

    Proj4Mollweide* me()   { return proj4mollweide_; }

   	virtual Proj4Mollweide* object() { return proj4mollweide_; }


	virtual void object(Proj4Mollweide* o) {
		// Remember to delete the previous object
		proj4mollweide_ = o;
		Proj4ProjectionWrapper::object(o);
		

	}



protected:
    Proj4Mollweide* proj4mollweide_;


//  --  method
	virtual void print(ostream&) const;


private:
    string tag_;
	friend ostream& operator<<(ostream& s,const Proj4MollweideWrapper& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif